Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.smtp
Class SMTPReply

    java.lang.Object
      |
      +--org.apache.commons.net.smtp.SMTPReply

public final class SMTPReply
extends java.lang.Object

SMTPReply stores a set of constants for SMTP reply codes. To interpret the meaning of the codes, familiarity with RFC 821 is assumed. The mnemonic constant names are transcriptions from the code descriptions of RFC 821. For those who think in terms of the actual reply code values, a set of CODE_NUM constants are provided where NUM is the numerical value of the code.

Author:
  Daniel F. Savarese

Field Summary
`static int` | `ACTION_ABORTED`
`static int` | `ACTION_NOT_TAKEN`
`static int` | `ACTION_OK`
`static int` | `BAD_COMMAND_SEQUENCE`
`static int` | `CODE_211`
`static int` | `CODE_214`
`static int` | `CODE_215`
`static int` | `CODE_220`
`static int` | `CODE_221`
`static int` | `CODE_250`
`static int` | `CODE_251`
`static int` | `CODE_354`
`static int` | `CODE_421`
`static int` | `CODE_450`
`static int` | `CODE_451`
`static int` | `CODE_452`
`static int` | `CODE_500`
`static int` | `CODE_501`
`static int` | `CODE_502`
`static int` | `CODE_503`
`static int` | `CODE_504`
`static int` | `CODE_550`
`static int` | `CODE_551`
`static int` | `CODE_552`
`static int` | `CODE_553`
`static int` | `CODE_554`
`static int` | `COMMAND_NOT_IMPLEMENTED`
`static int` | `COMMAND_NOT_IMPLEMENTED_FOR_PARAMETER`
`static int` | `HELP_MESSAGE`
`static int` | `INSUFFICIENT_STORAGE`
`static int` | `MAILBOX_NAME_NOT_ALLOWED`
`static int` | `MAILBOX_UNAVAILABLE`
`static int` | `SERVICE_CLOSING_TRANSMISSION_CHANNEL`
`static int` | `SERVICE_NOT_AVAILABLE`
`static int` | `SERVICE_READY`
`static int` | `START_MAIL_INPUT`
`static int` | `STORAGE_ALLOCATION_EXCEEDED`
`static int` | `SYNTAX_ERROR_IN_ARGUMENTS`
`static int` | `SYSTEM_STATUS`
`static int` | `TRANSACTION_FAILED`
`static int` | `UNRECOGNIZED_COMMAND`
`static int` | `USER_NOT_LOCAL`
`static int` | `USER_NOT_LOCAL_WILL_FORWARD`

Method Summary
`static boolean` | `isNegativePermanent(int reply)` Determine if a reply code is a negative permanent response.
`static boolean` | `isNegativeTransient(int reply)` Determine if a reply code is a negative transient response.
`static boolean` | `isPositiveCompletion(int reply)` Determine if a reply code is a positive completion response.
`static boolean` | `isPositiveIntermediate(int reply)` Determine if a reply code is a positive intermediate response.
`static boolean` | `isPositivePreliminary(int reply)` Determine if a reply code is a positive preliminary response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODE_211

    public static final int CODE_211

See Also:
  Constant Field Values

### CODE_214

    public static final int CODE_214

See Also:
  Constant Field Values

### CODE_215

    public static final int CODE_215

See Also:
  Constant Field Values

### CODE_220

    public static final int CODE_220

See Also:
  Constant Field Values

### CODE_221

    public static final int CODE_221

See Also:
  Constant Field Values

### CODE_250

    public static final int CODE_250

See Also:
  Constant Field Values

### CODE_251

    public static final int CODE_251

See Also:
  Constant Field Values

### CODE_354

    public static final int CODE_354

See Also:
  Constant Field Values

### CODE_421

    public static final int CODE_421

See Also:
  Constant Field Values

### CODE_450

    public static final int CODE_450

See Also:
  Constant Field Values

### CODE_451

    public static final int CODE_451

See Also:
  Constant Field Values

### CODE_452

    public static final int CODE_452

See Also:
  Constant Field Values

### CODE_500

    public static final int CODE_500

See Also:
  Constant Field Values

### CODE_501

    public static final int CODE_501

See Also:
  Constant Field Values

### CODE_502

    public static final int CODE_502

See Also:
  Constant Field Values

### CODE_503

    public static final int CODE_503

See Also:
  Constant Field Values

### CODE_504

    public static final int CODE_504

See Also:
  Constant Field Values

### CODE_550

    public static final int CODE_550

See Also:
  Constant Field Values

### CODE_551

    public static final int CODE_551

See Also:
  Constant Field Values

### CODE_552

    public static final int CODE_552

See Also:
  Constant Field Values

### CODE_553

    public static final int CODE_553

See Also:
  Constant Field Values

### CODE_554

    public static final int CODE_554

See Also:
  Constant Field Values

### SYSTEM_STATUS

    public static final int SYSTEM_STATUS

See Also:
  Constant Field Values

### HELP_MESSAGE

    public static final int HELP_MESSAGE

See Also:
  Constant Field Values

### SERVICE_READY

    public static final int SERVICE_READY

See Also:
  Constant Field Values

### SERVICE_CLOSING_TRANSMISSION_CHANNEL

    public static final int SERVICE_CLOSING_TRANSMISSION_CHANNEL

See Also:
  Constant Field Values

### ACTION_OK

    public static final int ACTION_OK

See Also:
  Constant Field Values

### USER_NOT_LOCAL_WILL_FORWARD

    public static final int USER_NOT_LOCAL_WILL_FORWARD

See Also:
  Constant Field Values

### START_MAIL_INPUT

    public static final int START_MAIL_INPUT

See Also:
  Constant Field Values

### SERVICE_NOT_AVAILABLE

    public static final int SERVICE_NOT_AVAILABLE

See Also:
  Constant Field Values

### ACTION_NOT_TAKEN

    public static final int ACTION_NOT_TAKEN

See Also:
  Constant Field Values

### ACTION_ABORTED

    public static final int ACTION_ABORTED

See Also:
  Constant Field Values

### INSUFFICIENT_STORAGE

    public static final int INSUFFICIENT_STORAGE

See Also:
  Constant Field Values

### UNRECOGNIZED_COMMAND

    public static final int UNRECOGNIZED_COMMAND

See Also:
  Constant Field Values

### SYNTAX_ERROR_IN_ARGUMENTS

    public static final int SYNTAX_ERROR_IN_ARGUMENTS

See Also:
  Constant Field Values

### COMMAND_NOT_IMPLEMENTED

    public static final int COMMAND_NOT_IMPLEMENTED

See Also:
  Constant Field Values

### BAD_COMMAND_SEQUENCE

    public static final int BAD_COMMAND_SEQUENCE

See Also:
  Constant Field Values

### COMMAND_NOT_IMPLEMENTED_FOR_PARAMETER

    public static final int COMMAND_NOT_IMPLEMENTED_FOR_PARAMETER

See Also:
  Constant Field Values

### MAILBOX_UNAVAILABLE

    public static final int MAILBOX_UNAVAILABLE

See Also:
  Constant Field Values

### USER_NOT_LOCAL

    public static final int USER_NOT_LOCAL

See Also:
  Constant Field Values

### STORAGE_ALLOCATION_EXCEEDED

    public static final int STORAGE_ALLOCATION_EXCEEDED

See Also:
  Constant Field Values

### MAILBOX_NAME_NOT_ALLOWED

    public static final int MAILBOX_NAME_NOT_ALLOWED

See Also:
  Constant Field Values

### TRANSACTION_FAILED

    public static final int TRANSACTION_FAILED

See Also:
  Constant Field Values

Method Detail

### isPositivePreliminary

    public static boolean isPositivePreliminary(int reply)

  Determine if a reply code is a positive preliminary response. All codes beginning with a 1 are positive preliminary responses. Postitive preliminary responses are used to indicate tentative success. No further commands can be issued to the SMTP server after a positive preliminary response until a follow up response is received from the server.

  Note: No SMTP commands defined in RFC 822 provide this type of reply.

  Parameters:
    `reply` - The reply code to test.
  Returns:
    True if a reply code is a postive preliminary response, false if not.

### isPositiveCompletion

    public static boolean isPositiveCompletion(int reply)

  Determine if a reply code is a positive completion response. All codes beginning with a 2 are positive completion responses. The SMTP server will send a positive completion response on the final successful completion of a command.

  Parameters:
    `reply` - The reply code to test.
  Returns:
    True if a reply code is a postive completion response, false if not.

### isPositiveIntermediate

    public static boolean isPositiveIntermediate(int reply)

  Determine if a reply code is a positive intermediate response. All codes beginning with a 3 are positive intermediate responses. The SMTP server will send a positive intermediate response on the successful completion of one part of a multi-part sequence of commands. For example, after a successful DATA command, a positive intermediate response will be sent to indicate that the server is ready to receive the message data.

  Parameters:
    `reply` - The reply code to test.
  Returns:
    True if a reply code is a postive intermediate response, false if not.

### isNegativeTransient

    public static boolean isNegativeTransient(int reply)

  Determine if a reply code is a negative transient response. All codes beginning with a 4 are negative transient responses. The SMTP server will send a negative transient response on the failure of a command that can be reattempted with success.

  Parameters:
    `reply` - The reply code to test.
  Returns:
    True if a reply code is a negative transient response, false if not.

### isNegativePermanent

    public static boolean isNegativePermanent(int reply)

  Determine if a reply code is a negative permanent response. All codes beginning with a 5 are negative permanent responses. The SMTP server will send a negative permanent response on the failure of a command that cannot be reattempted with success.

  Parameters:
    `reply` - The reply code to test.
  Returns:
    True if a reply code is a negative permanent response, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.